REBOOT(8)

NAME
reboot, halt - stopping and restarting the system

SYNOPSIS
halt [-dlnpq]
[-dlnq]

DESCRIPTION
The halt and reboot utilities flush the file system cache to disk, send all running processes a SIGTERM, wait up to 30 seconds for them to die, send a SIGKILL to the survivors and, respectively, halt or restart the system. The action is logged, including entering a shutdown record into the login accounting file.

The options are as follows:

-d  Create a dump before halting or restarting. This option is useful for debugging system dump procedures or capturing the state of a corrupted or misbehaving system.

-l  Send a message via syslog(3) before halting or restarting.

-n  Do not flush the file system cache. This option should be used with extreme caution.

-p  Attempt to powerdown the system. If the powerdown fails, or the system does not support software powerdown, the system will halt. This option is only valid for halt.

-q  Do not give processes a chance to shut down before halting or restarting. This option should not normally be used.

Normally, the shutdown(8) utility is used when the system needs to be halted or restarted, giving users advance warning of their impending doom.

SEE ALSO
syslog(3), utmp(5), boot(8), shutdown(8), sync(8)

BUGS
The single user shell will ignore the SIGTERM signal. To avoid waiting for the timeout when rebooting or halting from the single user shell, you have to exec reboot or exec halt.

HISTORY
A reboot command appeared in AT&T UNIX.